Bug 242640 - rpmbuild incorrecly reports config/build errors
Summary: rpmbuild incorrecly reports config/build errors
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-05 09:07 UTC by redtux
Modified: 2008-01-25 17:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-25 17:28:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description redtux 2007-06-05 09:07:57 UTC
when I run rpmbuild -bb specfile and the configure script fails for any reason 
(changed options etc) the build fails silently.

rpmbuild -bc gives results I would expect - ie: tells me the error

This is very confusing

Comment 1 Jeff Johnson 2007-06-06 04:54:04 UTC
Do you have a reproducer for the problem?

I agree very confusing.

Comment 2 Jeff Johnson 2007-06-21 03:13:57 UTC
Without a reproducer, it is impossible to fix rpmbuild behavior.

NEEDINFO

Comment 3 Panu Matilainen 2007-08-10 13:10:46 UTC
A reproducer please...

Comment 4 Panu Matilainen 2008-01-25 17:28:59 UTC
Closing due to inactivity...


Note You need to log in before you can comment on or make changes to this bug.